Ubuntu 16.04 image

Introductie

In april 2016 heeft Canonical een nieuwe versie van het Ubuntu Operating System gelanceerd. In deze versie is een enorm aantal verbeteringen en veranderingen doorgevoerd.

Dit artikel behandelt enkele van deze verbeteringen. Ook zetten we de zaken op een rij die van belang zijn als u wilt migreren of gebruik gaat maken van deze nieuwe software.

Het “Ubuntu 16.04 image” is een door CloudVPS aangepast en geoptimaliseerd image voor gebruik op het traditionele Linux platform waarin alle relevante aanpassingen zijn doorgevoerd.

Nieuw in Ubuntu 16.04.

systemd

“systemd” is de nieuwe manier om diensten en software binnen uw VPS te starten, het zogenoemde “init systeem”. Met de komst van systemd zijn ook de opstartscripts veranderd, de oude scripts zijn hier niet mee compatibel. Heeft u zelf opstartscripts geschreven of gebruikt u scripts die door andere partijen dan Ubuntu worden aangeleverd dan moeten deze worden aangepast. Zie hier voor meer informatie:
https://wiki.ubuntu.com/systemdForUpstartUsers

PHP 7.0

Ubuntu 16.04 bevat de nieuwste versie van PHP: versie 7. PHP 7 brengt veel vooruitgang, maar vooral veel snelheidsverbeteringen. Een volledig overzicht van nieuwe features is te vinden op de website van het project: https://secure.php.net/manual/en/migration70.new-features.php

Bekende websitesoftware zoals Wordpress en Drupal kunnen met deze nieuwe PHP versie omgaan. Echter, andere projecten of uw eigen software kan dat mogelijk nog niet. Controleert u daarom goed of uw software gebruik kan maken van PHP 7 voor u de overstap maakt, bijvoorbeeld door een losse VPS te bestellen om eerst te testen. Het is namelijk niet zonder meer mogelijk een andere versie van PHP te draaien op Ubuntu 16.04.

OpenSSL 1.0.2.

De nieuwste versie van OpenSSL, de software die gebruikt wordt voor versleuteling van dataverbindingen en het slotje in de browser, wordt geleverd met Ubuntu 16.04. Deze versie zorgt ervoor dat Apache, de webserver, standaard http/2 aan kan bieden waarmee snelheidswinst kan worden behaald. Zie voor meer informatie over http/2 deze pagina: https://en.wikipedia.org/wiki/HTTP/2

apt

Het package-management systeem apt, gebruikt om software te installeren, is nu sneller en toont meer informatie in een overzichtelijkere vorm.

Andere nieuwere versies van software:

  • MySQL 5.7
  • Kernel 4.4
  • Apache 2.4
  • OpenSSH 7.2
  • snap packages
  • python 3 (python2 is standaard niet meer geïnstalleerd)
  • nginx 1.10 stable

Voor meer informatie over de nieuwe Ubuntu-versie kunt u kijken op de website van Canonical. Hier staat ook de officiële changelog: https://wiki.ubuntu.com/XenialXerus/ReleaseNotes

Naast deze mooie vernieuwingen zijn er wel een aantal zaken waar u rekening mee moet houden op ons traditionele VPS platform. Deze worden in de rest van dit artikel behandeld.

Aandachtspunten

upgraden vanaf een oudere versie

Alhoewel in theorie het mogelijk is om een VPS te upgraden naar de nieuwste versie van Ubuntu adviseren wij dit niet. Vanwege het grote aantal veranderingen is het zeer waarschijnlijk dat een upgrade eindigt met een VPS die niet meer werkt.

Indien u Ubuntu 16.04 wil gaan gebruiken adviseren we u om een nieuwe VPS bij ons te bestellen en vervolgens alle sites, database, mail en andere software over te zetten. U kunt vervolgens testen of alles werkt en vervolgens omschakelen naar de nieuwe server.

Voor meer informatie over het migreren van informatie zie het volgende artikel:
https://www.cloudvps.nl/community/knowledge-base/het-veilig-migreren-van-websites/

Houdt u bij migratie rekening met het feit dat IP-adressen van oudere VPS’en niet kunnen worden overgezet; u zult mogelijk DNS-instellingen moeten wijzigen.

Eigen software

Zelfgemaakte of in opdracht ontwikkelde software voor oudere versies van Ubuntu kunnen mogelijk problemen geven op de nieuwe versie van Ubuntu. We adviseren u dit goed te testen voorafgaand aan een eventuele migratie, overleg eventueel ook met uw ontwikkelaar of beheerpartij.

Downgraden

Downgraden naar oudere versies van software is binnen Ubuntu niet altijd mogelijk. Houdt u hier rekening mee en maak indien mogelijk een backup voordat u een eventuele upgrade uitvoert.

Signed packages

Ubuntu 16.04 kan standaard alleen gebruik maken van digitaal ondertekende softwarepakketten (“signed packages”). Wanneer u gebruik maakt van een repository die de pakketen niet digitaal ondertekent dan zal apt een foutmelding tonen.

Alhoewel het mogelijk is om deze controle uit te zetten raden we dit omwille van de veiligheid af.

Known issues

Het upgraden van de kernel (via apt-get upgrade) geeft in sommige gevallen een foutmeldingen betreffende de bootloader grub als deze:

grub-probe: warning: disk does not exist, so falling back to partition device /dev/xvda1.

Als u geen andere foutmeldingen krijgt dan kan dit geen kwaad en is er verder geen actie vereist.

Heeft u na het lezen van dit artikel nog vragen over Ubuntu 16.04 dan kunt u altijd contact opnemen met onze servicedesk via een telefoontje of email naar support@cloudvps.com

Helpcenter

Algemene FAQ

Bekijk alle vragen

OpenStack FAQ

Bekijk alle vragen

Knowledgebase

Bekijk alle vragen